# ReleaseInstances

## 1. 接口描述

本接口(ReleaseInstances)用于销毁一台或多台虚拟机实例。

{% hint style="info" %}
**注意事项**

* 本接口为异步接口，释放实例请求发送成功后会立即返回，此时操作并未完成。实例状态可以通过调用[`DescribeInstances`](/api-reference/cn/compute/zec/instance/describeinstances.md)接口查询，当实例不再出现在查询结果中时则代表已完全销毁。释放过程中不可对实例进行任何操作。
* 一般情况下实例释放后资源直接回收，不可恢复。部分账号实例释放后会先进入`RECYCLED`（回收站）状态保留一段时间，期间可再次调用本接口对其彻底删除，请谨慎操作。
* 支持批量操作。每次请求批量实例的上限为100。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称        | 必选 | 类型              | 描述          |
| ----------- | -- | --------------- | ----------- |
| instanceIds | 是  | Array of String | 要释放的实例ID列表。 |

## 3. 响应结果

| 参数名称        | 类型              | 描述                                                       |
| ----------- | --------------- | -------------------------------------------------------- |
| requestId   | String          | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| instanceIds | Array of String | 操作失败的实例ID列表。                                             |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 批量释放实例。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ReleaseInstances
<Common Request Params>

Request：
{
  "instanceIds": [
    "instanceId1",
    "instanceId2"
  ]
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/instance/releaseinstances.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
